## package-update-indicator 2.0

=== Makefile ===
#
# Copyright (C) 2018 Guido Berhoerster <guido+pui@berhoerster.name>
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

PACKAGE =	package-update-indicator
APPLICATION_ID = org.guido-berhoerster.code.package-update-indicator
PREFS_APPLICATION_ID = org.guido-berhoerster.code.package-update-indicator.preferences
VERSION =	2
DISTNAME =	$(PACKAGE)-$(VERSION)
AUTHOR =	Guido Berhoerster
BUG_ADDRESS =	guido+pui@berhoerster.name

# gcc, clang, icc, Sun/Solaris Studio
CC :=		$(CC) -std=c99
COMPILE.c =	$(CC) $(CFLAGS) $(XCFLAGS) $(CPPFLAGS) $(XCPPFLAGS) $(TARGET_ARCH) -c
# gcc, clang, icc
MAKEDEPEND.c =	$(CC) -MM $(CFLAGS) $(XCFLAGS) $(CPPFLAGS) $(XCPPFLAGS)
# Sun/Solaris Studio
#MAKEDEPEND.c =	$(CC) -xM1 $(CFLAGS) $(XCFLAGS) $(CPPFLAGS) $(XCPPFLAGS)
# X makedepend
#MAKEDEPEND.c =	makedepend -f- -Y -- $(CFLAGS) $(XCFLAGS) $(CPPFLAGS) $(XCPPFLAGS) --
LINK.c =	$(CC) $(CFLAGS) $(XCFLAGS) $(CPPFLAGS) $(XCPPFLAGS) $(LDFLAGS) $(XLDFLAGS) $(TARGET_ARCH)
LINK.o =	$(CC) $(LDFLAGS) $(XLDFLAGS) $(TARGET_ARCH)
CP :=		cp
INSTALL :=	install
INSTALL.exec :=	$(INSTALL) -D -m 0755
INSTALL.data :=	$(INSTALL) -D -m 0644
INSTALL.link :=	$(CP) -f -P
PAX :=		pax
GZIP :=		gzip
SED :=		sed
GLIB_COMPILE_SCHEMAS := $(shell pkg-config --variable=glib_compile_schemas gio-2.0)
GLIB_COMPILE_RESOURCES := $(shell pkg-config --variable=glib_compile_resources gio-2.0)
GLIB_MKENUMS :=	$(shell pkg-config --variable=glib_mkenums glib-2.0)
XSLTPROC :=	xsltproc
DOCBOOK5_MANPAGES_STYLESHEET = http://docbook.sourceforge.net/release/xsl-ns/current/manpages/docbook.xsl
DOCBOOK5_MANPAGES_FLAGS = --stringparam man.authors.section.enabled 0 \
		--stringparam man.copyright.section.enabled 0
MSGFMT =	msgfmt
MSGMERGE =	msgmerge
XGETTEXT =	xgettext
XGETTEXT_OPTIONS = --copyright-holder "$(AUTHOR)" \
		--package-name '$(PACKAGE)' \
		--package-version '$(VERSION)' \
		--msgid-bugs-address '$(BUG_ADDRESS)' \
		--default-domain '$(PACKAGE)' \
		--from-code UTF-8 \
		--keyword=_ \
		--keyword=N_ \
		--keyword=C_:1c,2 \
		--keyword=NC_:1c,2 \
		--keyword=g_dngettext:2,3 \
		--add-comments

define generate-manpage-rule =
%.$1: %.$(addsuffix .xml,$1) docbook-update-source-data.xsl
	$$(XSLTPROC) \
	    --xinclude \
	    --stringparam package $$(PACKAGE) \
	    --stringparam version $$(VERSION) \
	    docbook-update-source-data.xsl $$< | \
	    $$(XSLTPROC) \
	    --xinclude \
	    --output $$@ \
	    $$(DOCBOOK5_MANPAGES_FLAGS) \
	    $$(DOCBOOK5_MANPAGES_STYLESHEET) \
	    -
endef

DESTDIR ?=
prefix ?=	/usr/local
bindir ?=	$(prefix)/bin
datadir ?=	$(prefix)/share
mandir ?=	$(datadir)/man
localedir ?=	$(datadir)/locale
sysconfdir ?=	/etc
xdgautostartdir ?= $(sysconfdir)/xdg/autostart
xdgapplicationsdir ?= $(datadir)/applications

OS_NAME :=	$(shell uname -s)
OS_RELEASE :=	$(shell uname -r)

$(PACKAGE)_OBJS = package-update-indicator.o \
		pui-application.o \
		pui-backend.o \
		pui-get-updates.o \
		pui-settings.o \
		pui-types.o \
		pui-resources.o

$(PACKAGE)-prefs_OBJS = package-update-indicator-prefs.o \
		pui-prefs-application.o \
		pui-settings.o \
		pui-prefs-resources.o

OBJS = $($(PACKAGE)_OBJS) $($(PACKAGE)-prefs_OBJS)

ENUM_DEPS =	pui-backend.h \
		pui-application.h

ENUM_HEADER =	pui-types.h

ENUM_FILES =	$(ENUM_HEADER) \
		pui-types.c

GSETTINGS_SCHEMAS = $(APPLICATION_ID).gschema.xml

GRESOURCE_FILES = pui-prefs.gresource.xml

AUTOSTART_FILE = $(APPLICATION_ID).desktop

DESKTOP_FILES = $(PREFS_APPLICATION_ID).desktop

LINGUAS :=	$(shell sed 's/\#.*//' po/LINGUAS)
MOFILES :=	$(patsubst %,po/%.mo,$(LINGUAS))
POTFILES_IN :=	$(shell sed 's/\#.*//' po/POTFILES.in)
POTFILE =	po/$(PACKAGE).pot

MANPAGES =	$(PACKAGE).1 $(PACKAGE)-prefs.1

.DEFAULT_TARGET = all

.PHONY: all pot update-po clean clobber dist install

all: $(PACKAGE) $(PACKAGE)-prefs $(AUTOSTART_FILE) $(DESKTOP_FILES) $(MOFILES) $(MANPAGES)

$(PACKAGE): XCPPFLAGS =	-DPACKAGE=\"$(PACKAGE)\" \
			-DAPPLICATION_ID=\"$(APPLICATION_ID)\" \
			-DVERSION=\"$(VERSION)\" \
			-DG_LOG_DOMAIN=\"$(PACKAGE)\" \
			-DPACKAGE_LOCALE_DIR="\"$(localedir)\"" \
			-DGETTEXT_PACKAGE=\"$(PACKAGE)\" \
			-DSETTINGS_SCHEMA_ID=\"$(APPLICATION_ID)\" \
			-DI_KNOW_THE_PACKAGEKIT_GLIB2_API_IS_SUBJECT_TO_CHANGE
$(PACKAGE): XCFLAGS =	$(shell pkg-config --cflags gtk+-3.0 \
			    appindicator3-0.1 packagekit-glib2 \
			    polkit-gobject-1 upower-glib)
$(PACKAGE): LDLIBS =	$(shell pkg-config --libs gtk+-3.0 \
			    appindicator3-0.1 packagekit-glib2 \
			    polkit-gobject-1 upower-glib)

$(PACKAGE)-prefs: XCPPFLAGS = -DPACKAGE=\"$(PACKAGE)\" \
			-DAPPLICATION_ID=\"$(PREFS_APPLICATION_ID)\" \
			-DVERSION=\"$(VERSION)\" \
			-DG_LOG_DOMAIN=\"$(PACKAGE)\" \
			-DPACKAGE_LOCALE_DIR="\"$(localedir)\"" \
			-DGETTEXT_PACKAGE=\"$(PACKAGE)\" \
			-DSETTINGS_SCHEMA_ID=\"$(APPLICATION_ID)\"
$(PACKAGE)-prefs: XCFLAGS = $(shell pkg-config --cflags gtk+-3.0)
$(PACKAGE)-prefs: LDLIBS = $(shell pkg-config --libs gtk+-3.0)

ifneq ($(findstring $(OS_NAME),FreeBSD DragonFly OpenBSD),)
  $(PACKAGE): XCPPFLAGS +=	-I/usr/local/include
  $(PACKAGE): XLDFLAGS +=	-L/usr/local/lib
else ifeq ($(OS_NAME),NetBSD)
  $(PACKAGE): XCPPFLAGS +=	-I/usr/pkg/include
  $(PACKAGE): XLDFLAGS +=	-L/usr/pkg/lib
endif
ifeq ($(findstring $(OS_NAME),FreeBSD DragonFly NetBSD OpenBSD),)
  $(PACKAGE): XCPPFLAGS +=	-D_XOPEN_SOURCE=600
endif

$(PACKAGE): $($(PACKAGE)_OBJS)
	$(LINK.o) $^ $(LDLIBS) -o $@

$(PACKAGE)-prefs: $($(PACKAGE)-prefs_OBJS)
	$(LINK.o) $^ $(LDLIBS) -o $@

$(OBJS): $(ENUM_HEADER)

%-types.h: %-types.h.in $(ENUM_DEPS)
	$(GLIB_MKENUMS) --template $< >$@ $(filter-out $<,$^)

%-types.c: %-types.c.in $(ENUM_DEPS)
	$(GLIB_MKENUMS) --template $< >$@ $(filter-out $<,$^)

%-resources.c: %.gresource.xml
	$(GLIB_COMPILE_RESOURCES) --generate-dependencies $< | \
	    while read -r resource_file; do \
	        printf '%s: %s\n' $@ "$${resource_file}"; \
	    done
	$(GLIB_COMPILE_RESOURCES) --target=$@ --sourcedir=. --generate-source $<

$(POTFILE): po/POTFILES.in $(POTFILES_IN)
	$(XGETTEXT) $(XGETTEXT_OPTIONS) --files-from $< --output $@

pot: $(POTFILE)

update-po: $(POTFILE)
	for pofile in $(patsubst %.mo,%.po,$(MOFILES)); do \
	    $(MSGMERGE) --update --backup off $$pofile $<; \
	done

%.mo: %.po
	$(MSGFMT) --output $@ $<

%.desktop: %.desktop.in
	$(MSGFMT) --desktop --keyword 'Keywords' --template $< -d po --output $@

$(foreach section,1 2 3 4 5 6 7 8 9,$(eval $(call generate-manpage-rule,$(section))))

%.o: %.c
	$(MAKEDEPEND.c) $< | $(SED) -f deps.sed >$*.d
	$(COMPILE.c) -o $@ $<

install: all
	$(INSTALL.exec) $(PACKAGE) "$(DESTDIR)$(bindir)/$(PACKAGE)"
	$(INSTALL.exec) $(PACKAGE)-prefs \
	    "$(DESTDIR)$(bindir)/$(PACKAGE)-prefs"
	for schema in $(GSETTINGS_SCHEMAS); do \
	    $(INSTALL.data) $${schema} \
	        $(DESTDIR)$(datadir)/glib-2.0/schemas/$${schema}; \
	done
	if [ -n "$(GSETTINGS_SCHEMAS)" ] && [ -z "$(DESTDIR)" ]; then \
	    $(GLIB_COMPILE_SCHEMAS) $(datadir)/glib-2.0/schemas; \
	fi
	$(INSTALL.data) $(AUTOSTART_FILE) \
	    $(DESTDIR)$(xdgautostartdir)/$(AUTOSTART_FILE)
	for desktop_file in $(DESKTOP_FILES); do \
	    $(INSTALL.data) $${desktop_file} \
	        $(DESTDIR)$(xdgapplicationsdir)/$${desktop_file}; \
	done
	for lang in $(LINGUAS); do \
	   $(INSTALL.data) po/$${lang}.mo \
	        $(DESTDIR)$(localedir)/$${lang}/LC_MESSAGES/$(PACKAGE).mo; \
	done
	for manpage in $(MANPAGES); do \
	    $(INSTALL.data) $${manpage} \
	        "$(DESTDIR)$(mandir)/man$${manpage##*.}/$${manpage##*/}"; \
	done

clean:
	rm -f $(PACKAGE) $(OBJS) $(ENUM_FILES) $(AUTOSTART_FILE) \
	    $(DESKTOP_FILES) $(POTFILE) $(MOFILES) $(MANPAGES)

clobber: clean
	rm -f $(patsubst %.o,%.d,$(OBJS))

dist: clobber
	$(PAX) -w -x ustar -s ',.*/\..*,,' -s ',./[^/]*\.tar\.gz,,' \
	    -s ',^\.$$,,' -s ',\./,$(DISTNAME)/,' . | \
	    $(GZIP) > $(DISTNAME).tar.gz

-include local.mk

-include $(patsubst %.o,%.d,$(OBJS))
-include $(patsubst %.gresource.xml,%.gresource.d,$(GRESOURCE_FILES))

=== debian/changelog ===
package-update-indicator (2.0-1) unstable; urgency=medium

  * Initial release, replacing pk-update-icon (Closes: #906839)
  * Split out apt-config-auto-update to its own source package,
    for the people who still need it.

 -- Matthias Klumpp <mak@debian.org>  Sun, 16 Dec 2018 16:36:44 +0100

pk-update-icon (2.0.0-2) unstable; urgency=medium

  * Update debian/watch file
  * Bump compat-level and standards-version (no changes needed)
  * Use secure Vcs-* URLs
  * Depend on gnome-packagekit (instead of gnome-packagekit-session)

 -- Matthias Klumpp <mak@debian.org>  Sun, 22 Jan 2017 20:11:45 +0100

pk-update-icon (2.0.0-1) unstable; urgency=medium

  * New upstream release: 2.0.0

 -- Matthias Klumpp <mak@debian.org>  Wed, 12 Aug 2015 14:36:26 +0200

pk-update-icon (1.0.0-3) unstable; urgency=medium

  * Don't use deprecated Apt options (Closes: #778869)
  * Build-depend on docbook-xsl-ns instead of docbook-xsl
    - Closes: #779257
  * a-c-auto-update: Break/Replace update-notifier-common
    - Closes: #779661

 -- Matthias Klumpp <mak@debian.org>  Sat, 25 Apr 2015 15:08:06 +0200

pk-update-icon (1.0.0-2) unstable; urgency=medium

  * Add config snippets for Apt to enable auto-cache-updates

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Nov 2014 22:28:34 +0100

pk-update-icon (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #768471, #710355)

 -- Matthias Klumpp <mak@debian.org>  Fri, 07 Nov 2014 16:08:18 +0100

=== debian/control ===
Source: package-update-indicator
Section: gnome
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Vcs-Git: https://salsa.debian.org/pkgutopia-team/package-update-indicator.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/package-update-indicator
Build-Depends: debhelper (>= 11),
               docbook-xsl-ns,
               libappindicator3-dev (>= 0.4.92),
               libglib2.0-dev (>= 2.36),
               libgtk-3-dev (>= 3.24),
               libpackagekit-glib2-dev (>= 1.1.8),
               libpolkit-gobject-1-dev,
               libupower-glib-dev,
               xsltproc
Standards-Version: 4.2.1
Homepage: https://code.guido-berhoerster.org/projects/package-update-indicator/

Package: package-update-indicator
Architecture: any
Depends: packagekit (>= 1.1.8),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-packagekit
Description: Notify about available software updates
 This small utility which regularly checks for software updates and notifies
 the user about available updates using desktop notifications and either
 a status notifier icon or a system tray icon.
 .
 It is primarily intended for desktops which do not already have this
 functionality built-in, such as Xfce.

Package: pk-update-icon
Section: oldlibs
Architecture: all
Depends: package-update-indicator,
         ${misc:Depends}
Description: transitional dummy package for package-update-indicator
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_VERSION_UPSTREAM_REVISION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's/^[0-9]*://')

# Define install directory
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(INSTALLDIR) prefix=/usr

override_dh_install:
	dh_install --fail-missing

override_dh_gencontrol:
	dh_gencontrol -ppk-update-icon -- -v1:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol --remaining-packages

=== debian/watch ===
version=3
https://code.guido-berhoerster.org/projects/package-update-indicator/ .*pk-update-icon-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## package-update-indicator 4

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 PACKAGE =	package-update-indicator
 APPLICATION_ID = org.guido-berhoerster.code.package-update-indicator
 PREFS_APPLICATION_ID = org.guido-berhoerster.code.package-update-indicator.preferences
-VERSION =	2
+VERSION =	4
 DISTNAME =	$(PACKAGE)-$(VERSION)
 AUTHOR =	Guido Berhoerster
 BUG_ADDRESS =	guido+pui@berhoerster.name
@@ -70,6 +70,14 @@
 		--keyword=NC_:1c,2 \
 		--keyword=g_dngettext:2,3 \
 		--add-comments
+INDICATOR_LIB := $(or \
+		    $(shell pkg-config --exists appindicator3-0.1 && \
+		        printf '%s\\\n' appindicator3-0.1), \
+		    $(shell pkg-config --exists ayatana-appindicator3-0.1 && \
+		        printf '%s\\\n' ayatana-appindicator3-0.1), \
+		    appindicator3-0.1)
+INDICATOR_FLAG := $(if $(findstring ayatana,$(INDICATOR_LIB)), \
+		    -DHAVE_AYATANA_APPINDICATOR,)
 
 define generate-manpage-rule =
 %.$1: %.$(addsuffix .xml,$1) docbook-update-source-data.xsl
@@ -150,12 +158,13 @@
 			-DPACKAGE_LOCALE_DIR="\"$(localedir)\"" \
 			-DGETTEXT_PACKAGE=\"$(PACKAGE)\" \
 			-DSETTINGS_SCHEMA_ID=\"$(APPLICATION_ID)\" \
-			-DI_KNOW_THE_PACKAGEKIT_GLIB2_API_IS_SUBJECT_TO_CHANGE
+			-DI_KNOW_THE_PACKAGEKIT_GLIB2_API_IS_SUBJECT_TO_CHANGE \
+			$(INDICATOR_FLAG)
 $(PACKAGE): XCFLAGS =	$(shell pkg-config --cflags gtk+-3.0 \
-			    appindicator3-0.1 packagekit-glib2 \
+			    $(INDICATOR_LIB) packagekit-glib2 \
 			    polkit-gobject-1 upower-glib)
 $(PACKAGE): LDLIBS =	$(shell pkg-config --libs gtk+-3.0 \
-			    appindicator3-0.1 packagekit-glib2 \
+			    $(INDICATOR_LIB) packagekit-glib2 \
 			    polkit-gobject-1 upower-glib)
 
 $(PACKAGE)-prefs: XCPPFLAGS = -DPACKAGE=\"$(PACKAGE)\" \

=== debian/changelog ===
package-update-indicator (4-2) unstable; urgency=medium

  * Set GPK Update Viewer as default updater command

 -- Matthias Klumpp <mak@debian.org>  Tue, 30 Jul 2019 00:44:06 +0200

package-update-indicator (4-1) unstable; urgency=medium

  * New upstream version: 4
  * Bump dh compat level to 12
  * Update standards version: No changes needed
  * Update d/watch file

 -- Matthias Klumpp <mak@debian.org>  Tue, 30 Jul 2019 00:08:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Matthias Klumpp <mak@debian.org>
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/package-update-indicator.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/package-update-indicator
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                docbook-xsl-ns,
                libappindicator3-dev (>= 0.4.92),
                libglib2.0-dev (>= 2.36),
@@ -13,7 +13,7 @@
                libpolkit-gobject-1-dev,
                libupower-glib-dev,
                xsltproc
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://code.guido-berhoerster.org/projects/package-update-indicator/
 
 Package: package-update-indicator

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(INSTALLDIR) prefix=/usr
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_gencontrol:
 	dh_gencontrol -ppk-update-icon -- -v1:$(DEB_VERSION_UPSTREAM_REVISION)

## package-update-indicator 5

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 PACKAGE =	package-update-indicator
 APPLICATION_ID = org.guido-berhoerster.code.package-update-indicator
 PREFS_APPLICATION_ID = org.guido-berhoerster.code.package-update-indicator.preferences
-VERSION =	4
+VERSION =	5
 DISTNAME =	$(PACKAGE)-$(VERSION)
 AUTHOR =	Guido Berhoerster
 BUG_ADDRESS =	guido+pui@berhoerster.name

=== debian/changelog ===
package-update-indicator (5-1) unstable; urgency=medium

  * New upstream version: 5
  * Run make explicitly to account for variables in hand-made
    Makefile, pass prefix (Closes: #946634)
  * Bump standards version: No changes needed
  * Mark rules as not requiring root

 -- Matthias Klumpp <mak@debian.org>  Thu, 20 Feb 2020 22:34:28 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
                libpolkit-gobject-1-dev,
                libupower-glib-dev,
                xsltproc
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://code.guido-berhoerster.org/projects/package-update-indicator/
 
 Package: package-update-indicator

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	$(MAKE) all prefix=/usr
+
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(INSTALLDIR) prefix=/usr

=== debian/watch ===
version=3
https://code.guido-berhoerster.org/projects/package-update-indicator/ .*package-update-indicator-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## package-update-indicator 7

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 PACKAGE =	package-update-indicator
 APPLICATION_ID = org.guido-berhoerster.code.package-update-indicator
 PREFS_APPLICATION_ID = org.guido-berhoerster.code.package-update-indicator.preferences
-VERSION =	5
+VERSION =	7
 DISTNAME =	$(PACKAGE)-$(VERSION)
 AUTHOR =	Guido Berhoerster
 BUG_ADDRESS =	guido+pui@berhoerster.name

=== debian/changelog ===
package-update-indicator (7-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Update gbp.conf

  [ Unit 193 ]
  * New upstream version 7.
  * d/control: Add myself as an uploader.
  * d/watch: Bump to version 4.
  * d/s/local-options: Drop, these are default now.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Mon, 21 Dec 2020 20:16:18 -0500

package-update-indicator (5-2) unstable; urgency=medium

  * Team upload.
  [ Matthias Klumpp ]
  * Drop pk-update-icon transitional package

  [ Unit 193 ]
  * d/control: libappindicator3-dev → libayatana-appindicator3-dev.
    (Closes: #956777)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 30 Jul 2020 10:57:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: gnome
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
+Uploaders: Unit 193 <unit193@debian.org>
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/package-update-indicator.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/package-update-indicator
 Build-Depends: debhelper-compat (= 12),
                docbook-xsl-ns,
-               libappindicator3-dev (>= 0.4.92),
+               libayatana-appindicator3-dev,
                libglib2.0-dev (>= 2.36),
                libgtk-3-dev (>= 3.24),
                libpackagekit-glib2-dev (>= 1.1.8),
                libpolkit-gobject-1-dev,
                libupower-glib-dev,
                xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://code.guido-berhoerster.org/projects/package-update-indicator/
 
@@ -30,11 +31,3 @@
  .
  It is primarily intended for desktops which do not already have this
  functionality built-in, such as Xfce.
-
-Package: pk-update-icon
-Section: oldlibs
-Architecture: all
-Depends: package-update-indicator,
-         ${misc:Depends}
-Description: transitional dummy package for package-update-indicator
- This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# Define install directory
INSTALLDIR = $(CURDIR)/debian/package-update-indicator

%:
	dh $@

override_dh_auto_build:
	$(MAKE) all prefix=/usr

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(INSTALLDIR) prefix=/usr

override_dh_missing:
	dh_missing --fail-missing

## package-update-indicator 8

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 PACKAGE =	package-update-indicator
 APPLICATION_ID = org.guido-berhoerster.code.package-update-indicator
 PREFS_APPLICATION_ID = org.guido-berhoerster.code.package-update-indicator.preferences
-VERSION =	7
+VERSION =	8
 DISTNAME =	$(PACKAGE)-$(VERSION)
 AUTHOR =	Guido Berhoerster
 BUG_ADDRESS =	guido+pui@berhoerster.name
@@ -48,9 +48,10 @@
 PAX :=		pax
 GZIP :=		gzip
 SED :=		sed
-GLIB_COMPILE_SCHEMAS := $(shell pkg-config --variable=glib_compile_schemas gio-2.0)
-GLIB_COMPILE_RESOURCES := $(shell pkg-config --variable=glib_compile_resources gio-2.0)
-GLIB_MKENUMS :=	$(shell pkg-config --variable=glib_mkenums glib-2.0)
+PKG_CONFIG :=	pkg-config
+GLIB_COMPILE_SCHEMAS := $(shell $(PKG_CONFIG) --variable=glib_compile_schemas gio-2.0)
+GLIB_COMPILE_RESOURCES := $(shell $(PKG_CONFIG) --variable=glib_compile_resources gio-2.0)
+GLIB_MKENUMS :=	$(shell $(PKG_CONFIG) --variable=glib_mkenums glib-2.0)
 XSLTPROC :=	xsltproc
 DOCBOOK5_MANPAGES_STYLESHEET = http://docbook.sourceforge.net/release/xsl-ns/current/manpages/docbook.xsl
 DOCBOOK5_MANPAGES_FLAGS = --stringparam man.authors.section.enabled 0 \
@@ -71,9 +72,9 @@
 		--keyword=g_dngettext:2,3 \
 		--add-comments
 INDICATOR_LIB := $(or \
-		    $(shell pkg-config --exists appindicator3-0.1 && \
+		    $(shell $(PKG_CONFIG) --exists appindicator3-0.1 && \
 		        printf '%s\\\n' appindicator3-0.1), \
-		    $(shell pkg-config --exists ayatana-appindicator3-0.1 && \
+		    $(shell $(PKG_CONFIG) --exists ayatana-appindicator3-0.1 && \
 		        printf '%s\\\n' ayatana-appindicator3-0.1), \
 		    appindicator3-0.1)
 INDICATOR_FLAG := $(if $(findstring ayatana,$(INDICATOR_LIB)), \
@@ -160,10 +161,10 @@
 			-DSETTINGS_SCHEMA_ID=\"$(APPLICATION_ID)\" \
 			-DI_KNOW_THE_PACKAGEKIT_GLIB2_API_IS_SUBJECT_TO_CHANGE \
 			$(INDICATOR_FLAG)
-$(PACKAGE): XCFLAGS =	$(shell pkg-config --cflags gtk+-3.0 \
+$(PACKAGE): XCFLAGS =	$(shell $(PKG_CONFIG) --cflags gtk+-3.0 \
 			    $(INDICATOR_LIB) packagekit-glib2 \
 			    polkit-gobject-1 upower-glib)
-$(PACKAGE): LDLIBS =	$(shell pkg-config --libs gtk+-3.0 \
+$(PACKAGE): LDLIBS =	$(shell $(PKG_CONFIG) --libs gtk+-3.0 \
 			    $(INDICATOR_LIB) packagekit-glib2 \
 			    polkit-gobject-1 upower-glib)
 
@@ -174,8 +175,8 @@
 			-DPACKAGE_LOCALE_DIR="\"$(localedir)\"" \
 			-DGETTEXT_PACKAGE=\"$(PACKAGE)\" \
 			-DSETTINGS_SCHEMA_ID=\"$(APPLICATION_ID)\"
-$(PACKAGE)-prefs: XCFLAGS = $(shell pkg-config --cflags gtk+-3.0)
-$(PACKAGE)-prefs: LDLIBS = $(shell pkg-config --libs gtk+-3.0)
+$(PACKAGE)-prefs: XCFLAGS = $(shell $(PKG_CONFIG) --cflags gtk+-3.0)
+$(PACKAGE)-prefs: LDLIBS = $(shell $(PKG_CONFIG) --libs gtk+-3.0)
 
 ifneq ($(findstring $(OS_NAME),FreeBSD DragonFly OpenBSD),)
   $(PACKAGE): XCPPFLAGS +=	-I/usr/local/include

=== debian/changelog ===
package-update-indicator (8-2) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Recommend gnome-package-updater instead of gnome-packagekit

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Matthias Klumpp <mak@debian.org>  Sat, 14 Jan 2023 17:22:52 +0100

package-update-indicator (8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Bump debhelper from old 12 to 13.
  * d/rules: Drop --fail-missing argument to dh_missing, which is now default.
  * Update standards version to 4.6.0, no changes needed.

  [ Unit 193 ]
  * New upstream version 8.
    - Do not hardcode pkg-config. (Closes: #962164)
  * d/rules:
    - Enable all hardening options.
    - Allow dh_auto_build to do the right thing for crossbuilds.
      (Closes: #962164)
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Wed, 07 Sep 2022 22:03:20 -0400

=== debian/control ===
Source: package-update-indicator
Section: gnome
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Uploaders: Unit 193 <unit193@debian.org>
Vcs-Git: https://salsa.debian.org/pkgutopia-team/package-update-indicator.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/package-update-indicator
Build-Depends: debhelper-compat (= 13),
               docbook-xsl-ns,
               libayatana-appindicator3-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libpackagekit-glib2-dev,
               libpolkit-gobject-1-dev,
               libupower-glib-dev,
               xsltproc
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://code.guido-berhoerster.org/projects/package-update-indicator/

Package: package-update-indicator
Architecture: any
Depends: packagekit,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-package-updater
Description: Notify about available software updates
 This small utility which regularly checks for software updates and notifies
 the user about available updates using desktop notifications and either
 a status notifier icon or a system tray icon.
 .
 It is primarily intended for desktops which do not already have this
 functionality built-in, such as Xfce.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Define install directory
INSTALLDIR = $(CURDIR)/debian/package-update-indicator

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all prefix=/usr

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(INSTALLDIR) prefix=/usr

=== debian/watch ===
version=4
https://code.guido-berhoerster.org/projects/package-update-indicator/ .*package-update-indicator-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## package-update-indicator 9

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 PACKAGE =	package-update-indicator
 APPLICATION_ID = org.guido-berhoerster.code.package-update-indicator
 PREFS_APPLICATION_ID = org.guido-berhoerster.code.package-update-indicator.preferences
-VERSION =	8
+VERSION =	9
 DISTNAME =	$(PACKAGE)-$(VERSION)
 AUTHOR =	Guido Berhoerster
 BUG_ADDRESS =	guido+pui@berhoerster.name

=== debian/changelog ===
package-update-indicator (9-3) unstable; urgency=medium

  * d/p/02_gettext-0.22-compat.patch: Fix compatibility with gettext 0.22.
    Thanks Jakub Wilk for the pointer. (Closes: #1074716)

 -- Unit 193 <unit193@debian.org>  Wed, 25 Sep 2024 16:29:21 -0400

package-update-indicator (9-2) unstable; urgency=medium

  * Restore prior upload.

 -- Unit 193 <unit193@debian.org>  Wed, 12 Jun 2024 00:58:51 -0400

package-update-indicator (9-1) unstable; urgency=medium

  * New upstream version 9.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Tue, 11 Jun 2024 22:45:39 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libpolkit-gobject-1-dev,
                libupower-glib-dev,
                xsltproc
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://code.guido-berhoerster.org/projects/package-update-indicator/
